<!doctype html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>mvlmix</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
</head>
<body>
<header>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3"
            crossorigin="anonymous"></script>
    <div class="header_logo">
        <img src="{% static 'images/header_logo.png' %}" alt="Логотип">
    </div>
</header>
<div class="container">
    <div class="container-nav">
        <div class="menu-nav">
            <a aria-current="page" href="/">Главная</a>
            <a href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false" id="navbarDropdown">
                Список команд</a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="{% url 'one-division' id=1 %}">Дивизион I</a></li>
                <li><a class="dropdown-item" href="{% url 'one-division' id=2 %}">Дивизион II</a></li>
                <li><a class="dropdown-item" href="{% url 'one-division' id=3 %}">Дивизион III</a></li>
                <li><a class="dropdown-item" href="{% url 'one-division' id=4 %}">Дивизион IV</a></li>
                <li><a class="dropdown-item" href="{% url 'one-division' id=5 %}">Дивизион V</a></li>
            </ul>

            {% if request.user.is_staff %}
            <a href="{% url 'all-players' %}">Список игроков</a>
            </li>
            {% endif %}

            {% if 'teams.add_playermodel' in perms %}
                <a href="{% url 'create-player' %}">Добавить игрока</a>
            {% endif %}

            {% if 'teams.add_teammodel' in perms %}
                <a href="{% url 'create-team' %}">Добавить команду</a>
            {% endif %}

            {% if request.user.is_staff %}
            <a href="/admin">Админка</a>
            {% endif %}

        </div>
        <div class="menu-login">
            {% if request.user.is_authenticated %}
            Welcome {{ request.user.username }}
            <a href="{% url 'logout' %}">Logout</a>
            {% else %}
            <a href="{% url 'register' %}">Register</a>
            <a href="{% url 'login' %}">Login</a>
            {% endif %}
        </div>
    </div>


    <div class="content">
        {% block content %}
        {% endblock content %}
    </div>
</div>

</body>
<style>
    .container-nav {
        flex-wrap: wrap;
        display: flex;
        width: 100%;
        justify-content: space-between;
        gap: 10px;
        flex-direction: row;
        background: rgba(135, 206, 250, 0.2);
        border-radius: 15px;
        list-style: none;
        font-size: 17px;
        }

    .menu-nav {
        flex-wrap: wrap;
        display: flex;
        flex-direction: row;
        justify-content: center;
        font-family: Montserrat;
        gap: 10px;
        padding: 10px;

        }
     .menu-nav a:hover{
         background: rgba(135, 206, 250, 0.5);
         border-radius: 5px;
       }

    .menu-login {
        flex-wrap: wrap;
        display: flex;
        flex-direction: row;
        justify-content: right;
        font-family: Montserrat;
        gap: 10px;
        padding: 10px;
        }

    .menu-nav a{
        text-decoration: none;

        color: #4e4e4e;
        font-family: Montserrat;
        }

    .menu-login a{
        text-decoration: none;
        font-family: Montserrat;

        color: #4e4e4e;
        }

    .menu-login a:hover{
        background: rgba(135, 206, 250, 0.5);
        border-radius: 5px;
       }

    header{
        display: flex;
        justify-content: space-between;
        align-items: center;
        justify-content: left;
    }

    .header_logo{
        margin: 0 auto;
        width: 200px;
        max-width: 90%;
        min-width: 50px;

    }

    .header_logo img{
        max-width: 100%;
        height: auto;
    }



    .container {
        display: flex;
        padding: 5px;
        flex-direction: column;

    }

    .content{
        padding-top: 5px;
    }
    .header {
        width: 100%;
        display: flex;
        padding: 5px;
        border-bottom: 3px solid black;
        justify-content: space-between;

    }

    .header a {
        text-decoration: none;
        padding: 10px;
        margin: 5px;
        color: #3875d7;
        box-shadow: 0 4px 10px -3px black;
    }








</style>

{% block styles %}
{% endblock styles %}
</html>